SCM

[#1010304] pgsnmpd does not compile

View Trackers | Bugs | Download .csv | Monitor

Date:
2008-02-26 08:53
Priority:
3
State:
Open
Submitted by:
m p (dunkku)
Assigned to:
Nobody (None)
Category:
Group:
Resolution:
None
 
Summary:
pgsnmpd does not compile

Detailed description
Hello

pgsnmpd does not compile, more info below. net-snmp-dev and postgresql-dev -packages installed through distribution package manager.

select version();
version
----------------------------------------------------------------------------------------------------------
PostgreSQL 8.3.0 on x86_64-redhat-linux-gnu, compiled by GCC gcc (GCC) 4.1.2 20070626 (Red Hat 4.1.2-14)

uname -a
Linux xxx.xx 2.6.18-53.1.13.el5 #1 SMP Tue Feb 12 13:02:30 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

Attached the output of make.


Regards

Mikko

Followup

Message
Date: 2010-02-08 11:45
Sender: Espen Grønvold

Ben:

Have you tried:

yum install lm_sensors-devel.x86_64

or:

yum install lm_sensors-devel.i386

Depending on your system.
Date: 2010-02-05 13:38
Sender: Espen Grønvold

try installing the lm_sensors-devel package

I found that I needed the following to get it to compile on Centos 5.4:

postgresql-devel.x86_64 net-snmp-devel.x86_64 make gcc zlib-devel.x86_64 openssl-devel.x86_64 libxslt-devel.x86_64 pam-devel.x86_64 readline-devel.x86_64
Date: 2008-04-01 15:53
Sender: Benjamin Krein

Bump. I too am having this problem on a similarly configured system (CentOS 5.1, PG 8.3). I get the same make output as the OP's attached log.

Ben

Attached Files:

Attachments:
log

Changes:

Field Old Value Date By
File Added319: log2008-02-26 08:53dunkku
Powered By FusionForge